org.cybergarage.upnp.control

## Class ActionResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.soap.SOAPResponse
      - - org.cybergarage.upnp.control.ControlResponse
        - - org.cybergarage.upnp.control.ActionResponse

    public class ActionResponse
    extends ControlResponse

### Field Summary

### Fields inherited from class org.cybergarage.upnp.control.ControlResponse

`FAULT_CODE, FAULT_STRING`

### Constructor Summary

Constructors
Constructor and Description
`ActionResponse()`
`ActionResponse(SOAPResponse soapRes)`

### Method Summary

Methods
`ArgumentList` `getResponse()`
`void` `setResponse(Action action)`

### Methods inherited from class org.cybergarage.upnp.control.ControlResponse

`getUPnPError, getUPnPErrorCode, getUPnPErrorDescription, setFaultResponse, setFaultResponse`

### Methods inherited from class org.cybergarage.soap.SOAPResponse

`getBodyNode, getEnvelopeNode, getFaultActor, getFaultActorNode, getFaultCode, getFaultCodeNode, getFaultDetailNode, getFaultNode, getFaultString, getFaultStringNode, getMethodResponseNode, print, setContent, setEnvelopeNode`

### Methods inherited from class org.cybergarage.http.HTTPResponse

`getHeader, getStatusCode, getStatusLineString, isSuccessful, setStatusCode, toString`

### Methods inherited from class org.cybergarage.http.HTTPPacket

`addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActionResponse

    public ActionResponse()

#### ActionResponse

    public ActionResponse(SOAPResponse soapRes)

### Method Detail

#### setResponse

    public void setResponse(Action action)

#### getResponse

    public ArgumentList getResponse()